> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Saved analyses of a Spark application

> Reports the assistant wrote about this application and you saved,
newest first. A monitor admin sees everyone's.



## OpenAPI

````yaml get /api/monitoring/spark/apps/{app}/analyses
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/monitoring/spark/apps/{app}/analyses:
    get:
      tags:
        - Monitoring
      summary: Saved analyses of a Spark application
      description: |-
        Reports the assistant wrote about this application and you saved,
        newest first. A monitor admin sees everyone's.
      operationId: list_spark_analyses_api_monitoring_spark_apps__app__analyses_get
      parameters:
        - name: app
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 255
            pattern: ^[A-Za-z0-9][A-Za-z0-9_.:-]*$
            description: The application id (or its log name, with the attempt).
            title: App
          description: The application id (or its log name, with the attempt).
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SparkAnalysisList'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Conflict
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    SparkAnalysisList:
      properties:
        items:
          items:
            $ref: '#/components/schemas/SparkAnalysis'
          type: array
          title: Items
      type: object
      required:
        - items
      title: SparkAnalysisList
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SparkAnalysis:
      properties:
        id:
          type: string
          title: Id
        app_key:
          type: string
          title: App Key
        mode:
          type: string
          title: Mode
        title:
          type: string
          title: Title
        markdown:
          type: string
          title: Markdown
        author:
          type: string
          title: Author
        created_at:
          type: string
          title: Created At
        can_delete:
          type: boolean
          title: Can Delete
          default: false
      type: object
      required:
        - id
        - app_key
        - mode
        - title
        - markdown
        - author
        - created_at
      title: SparkAnalysis
      description: A saved report about one application.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.